Subject: bug#1765: Copy/paste inconsistent with other X apps

From: Chong Yidong <[email-masked]>
Date: Sat, 03 Jan 2009 22:33:24 -0500

> In every other recent X app I have tried, copy/pasting works the way
> that the mouse selection = copy and middle click = paste is seperate
> from the C-c/C-v clipboard.  I think it makes sense to change the
> Emacs behaviour to make it a good citizen in the free desktop. And
> it's arguably also more likely to prevent loss of clips.

Set x-select-enable-clipboard to t.

(We might consider making this the default after the release.  ISTR
there was a technical reason not to do this, but details elude me right
now.  Maybe it's a matter of speed?)